WHICH(1)

NOME
which - localizza un comando

SINTASSI
which [-a] nomefile ...

DESCRIZIONE
which restituisce i nomi di percorso dei file (o collegamenti) che verrebbero eseguiti nell'ambiente attuale, se i suoi argomenti venissero forniti come comandi in una shell rigorosamente conforme a POSIX. Ciò viene fatto cercando in PATH file eseguibili che corrispondono ai nomi degli argomenti. Non rende canonici i nomi di percorso.

OPZIONI

-a  stampa tutti i nomi di percorso che corrispondono a ciascun argomento

STATO D'USCITA

0   se tutti i comandi specificati vengono trovati e sono eseguibili

1   se uno o più dei comandi specificati non esiste o non è eseguibile

2   se viene specificata un'opzione non valida